6.0.0-git
2019-03-23

[#10503] IMP cant retrieve folder content from Gmail server
Summary IMP cant retrieve folder content from Gmail server
Queue IMP
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester lp.allard.1 (at) gmail (dot) com
Created 2011-09-10 (2751 days ago)
Due
Updated 2011-10-08 (2723 days ago)
Assigned 2011-10-06 (2725 days ago)
Resolved 2011-10-07 (2724 days ago)
Milestone
Patch No

History
2011-10-08 20:35:37 Michael Slusarz Comment #32 Reply to this comment
Michael,  for my own personal education how do I benefit from the 
changes you implemented in the git?
You will have to wait until the next package of Horde_Imap_Client is released.

...actually, looking at the package, it is probably appropriate to 
release a new version.  So v 1.1.0 has been released.
2011-10-07 11:05:38 Lp (dot) allard (dot) 1 (at) gmail (dot) com Comment #31 Reply to this comment
Michael,  for my own personal education how do I benefit from the 
changes you implemented in the git?


I normally update via pear and I neverused git with horde...  Would 
pear allow me to upgrade ?
2011-10-07 05:23:00 Michael Slusarz Comment #30
Assigned to Michael Slusarz
State ⇒ Resolved
Reply to this comment
Finally figured this out.  I had been looking at the wrong sorting 
type, since the line numbers are different in git than in the release 
version you are using.  Turns out it was a PHP syntax issue dealing 
with dereferencing of object properties.  This has been fixed 
(additionally, we need to sort by the e-mail address for this sort 
type, not the personal part.  This has also been fixed).
2011-10-07 05:20:51 Git Commit Comment #29 Reply to this comment
Changes have been made in Git for this ticket:

Bug #10503: Fix client-side Cc/From/To sorting

  2 files changed, 4 insertions(+), 3 deletions(-)
http://git.horde.org/horde-git/-/commit/529f75311b9a586a4487313cb556dc71508b168a
2011-10-07 00:57:54 lp (dot) allard (dot) 1 (at) gmail (dot) com Comment #28
New Attachment: horde_debug[1].txt Download
Reply to this comment
OK I just retried, and yes after I see the red popup I get a fatal 
error in apache's error log:

"[Thu Oct 06 20:49:41 2011] [error] [client 192.xxx.xxx.xxx] PHP Fatal 
error:  Cannot use string offset as an array in 
/usr/lib/php/Horde/Imap/Client/Socket.php on line 2090, referer: 
http://192.xxx.xxx.xxx/horde4/imp/"

Attached is the Horde::debug($fetch_res) log

More stuff in it than last time, but I  dont know if it will help more...

2011-10-06 17:31:26 Michael Slusarz Comment #27
State ⇒ Feedback
Reply to this comment
Anyways, see attached.  Anything more please ask.
Unfortunately, not helpful.  Do you get the fatal error immediately 
after this?  $fetch_res is exactly what it is supposed to be - an 
array of data objects.  The fatal error you previously reported 
instead indicates that $fetch_res is a string, which is not the case 
here.
2011-10-05 23:12:03 lp (dot) allard (dot) 1 (at) gmail (dot) com Comment #26
New Attachment: horde_debug.txt Download
Reply to this comment
OK Sorry about the delay in replying here, I have been busy.

That would have been helpful if I knew that in PHP, semicolons were 
used to end commands...  The instructions should have been "insert the 
line before the block on line 2087" not before line 2089...  Thats why 
the script was broken.

Anyways, see attached.  Anything more please ask.
2011-10-02 04:17:08 Michael Slusarz State ⇒ No Feedback
 
2011-09-26 04:56:29 Michael Slusarz Comment #25 Reply to this comment
None of this information is helpful.

Unless and until you can get Horde::debug() to provide information, 
nothing can be done.  Inserting a Horde::debug() line should not break 
anything.  If it does, there's really nothing more we can do to help 
unless you can tell us exactly what is wrong (that's kind of the whole 
point of Horde::debug() in the first place).

Nobody else has either reported this or can reproduce, so unless it 
can be proven otherwise, there's a good chance that there is something 
broken on your setup independent from the Horde code.
2011-09-25 16:23:27 lp (dot) allard (dot) 1 (at) gmail (dot) com Comment #24 Reply to this comment
This is not a fatal error screen that I am getting but rather a plain 
while blank page...

Anyways, with the Horde::debug($fetch_res) line before 2089 I 
retrieved the logs (apache and horde) and al I can see is the PHP 
parse error in the apache log:

apache error log:

[Sun Sep 25 12:15:06 2011] [notice] Apache/2.2.15 (Unix) DAV/2 
mod_scgi/1.14 PHP/5.2.13 configured -- resuming normal operations
[Sun Sep 25 12:16:20 2011] [error] [client 192.xxx.xxx.xxx] PHP Parse 
error:  syntax error, unexpected T_STRING in 
/usr/lib/php/Horde/Imap/Client/Socket.php on line 2089, referer: 
http://192.xxx.xxx.xxx/horde4/login.php
[Sun Sep 25 12:16:20 2011] [error] [client 192.xxx.xxx.xxx] File does 
not exist: /srv/httpd/htdocs/favicon.ico
[Sun Sep 25 12:16:20 2011] [error] [client 192.xxx.xxx.xxx] File does 
not exist: /srv/httpd/htdocs/favicon.ico


horde log:

2011-09-25T12:16:09-04:00 DEBUG: HORDE Setting sam inactive because 
the fileroot does not exist or the application is not configured yet. 
[pid 1825 on line 615 of "/usr/lib/php/Horde/Registry.php"]
2011-09-25T12:16:09-04:00 DEBUG: HORDE Setting trean inactive because 
the fileroot does not exist or the application is not configured yet. 
[pid 1825 on line 615 of "/usr/lib/php/Horde/Registry.php"]
2011-09-25T12:16:09-04:00 DEBUG: HORDE Setting chora inactive because 
the fileroot does not exist or the application is not configured yet. 
[pid 1825 on line 615 of "/usr/lib/php/Horde/Registry.php"]
2011-09-25T12:16:09-04:00 DEBUG: HORDE Setting whups inactive because 
the fileroot does not exist or the application is not configured yet. 
[pid 1825 on line 615 of "/usr/lib/php/Horde/Registry.php"]
2011-09-25T12:16:09-04:00 DEBUG: HORDE Setting luxor inactive because 
the fileroot does not exist or the application is not configured yet. 
[pid 1825 on line 615 of "/usr/lib/php/Horde/Registry.php"]
2011-09-25T12:16:09-04:00 DEBUG: HORDE Setting klutz inactive because 
the fileroot does not exist or the application is not configured yet. 
[pid 1825 on line 615 of "/usr/lib/php/Horde/Registry.php"]
2011-09-25T12:16:09-04:00 DEBUG: HORDE Setting jonah inactive because 
the fileroot does not exist or the application is not configured yet. 
[pid 1825 on line 615 of "/usr/lib/php/Horde/Registry.php"]
2011-09-25T12:16:09-04:00 DEBUG: HORDE Setting hermes inactive because 
the fileroot does not exist or the application is not configured yet. 
[pid 1825 on line 615 of "/usr/lib/php/Horde/Registry.php"]
2011-09-25T12:16:09-04:00 DEBUG: HORDE Setting gollem inactive because 
the fileroot does not exist or the application is not configured yet. 
[pid 1825 on line 615 of "/usr/lib/php/Horde/Registry.php"]
2011-09-25T12:16:09-04:00 DEBUG: HORDE Setting passwd inactive because 
the fileroot does not exist or the application is not configured yet. 
[pid 1825 on line 615 of "/usr/lib/php/Horde/Registry.php"]
2011-09-25T12:16:09-04:00 DEBUG: HORDE Setting agora inactive because 
the fileroot does not exist or the application is not configured yet. 
[pid 1825 on line 615 of "/usr/lib/php/Horde/Registry.php"]
2011-09-25T12:16:09-04:00 DEBUG: HORDE Setting ulaform inactive 
because the fileroot does not exist or the application is not 
configured yet. [pid 1825 on line 615 of 
"/usr/lib/php/Horde/Registry.php"]
2011-09-25T12:16:09-04:00 DEBUG: HORDE Setting ansel inactive because 
the fileroot does not exist or the application is not configured yet. 
[pid 1825 on line 615 of "/usr/lib/php/Horde/Registry.php"]
2011-09-25T12:16:09-04:00 DEBUG: HORDE Setting wicked inactive because 
the fileroot does not exist or the application is not configured yet. 
[pid 1825 on line 615 of "/usr/lib/php/Horde/Registry.php"]
2011-09-25T12:16:09-04:00 DEBUG: HORDE Setting vilma inactive because 
the fileroot does not exist or the application is not configured yet. 
[pid 1825 on line 615 of "/usr/lib/php/Horde/Registry.php"]
2011-09-25T12:16:09-04:00 DEBUG: HORDE Load config file (nls.php; app: 
horde) [pid 1825 on line 861 of "/usr/lib/php/Horde.php"]
2011-09-25T12:16:10-04:00 DEBUG: HORDE Load config file (hooks.php; 
app: imp) [pid 1825 on line 861 of "/usr/lib/php/Horde.php"]
2011-09-25T12:16:10-04:00 DEBUG: HORDE [imp] Load config file 
(conf.php; app: imp) [pid 1825 on line 861 of "/usr/lib/php/Horde.php"]
2011-09-25T12:16:10-04:00 DEBUG: HORDE [imp] Load config file 
(prefs.php; app: horde) [pid 1825 on line 861 of 
"/usr/lib/php/Horde.php"]
2011-09-25T12:16:10-04:00 DEBUG: HORDE [imp] Load config file 
(prefs.php; app: imp) [pid 1825 on line 861 of "/usr/lib/php/Horde.php"]
2011-09-25T12:16:10-04:00 DEBUG: HORDE [imp] Hook prefs_init in 
application imp called. [pid 1825 on line 1809 of 
"/usr/lib/php/Horde.php"]
2011-09-25T12:16:10-04:00 DEBUG: HORDE [imp] Hook prefs_init in 
application imp called. [pid 1825 on line 1809 of 
"/usr/lib/php/Horde.php"]
2011-09-25T12:16:10-04:00 DEBUG: HORDE [imp] Hook prefs_init in 
application imp called. [pid 1825 on line 1809 of 
"/usr/lib/php/Horde.php"]
2011-09-25T12:16:10-04:00 DEBUG: HORDE [imp] Load config file 
(backends.php; app: imp) [pid 1825 on line 861 of 
"/usr/lib/php/Horde.php"]
2011-09-25T12:16:10-04:00 DEBUG: HORDE [horde] Max memory usage: 
5767168 bytes [pid 1825 on line 474 of 
"/usr/lib/php/Horde/Registry.php"]
2011-09-25T12:16:11-04:00 DEBUG: HORDE Horde_Registry: retrieved app 
with cache ID 
horde_registry|app|1315349475|ede232fb8c32bfda4411afa41aafd6af [pid 
1825 on line 1701 of "/usr/lib/php/Horde/Registry.php"]
2011-09-25T12:16:11-04:00 DEBUG: HORDE Load config file (hooks.php; 
app: imp) [pid 1825 on line 861 of "/usr/lib/php/Horde.php"]
2011-09-25T12:16:11-04:00 DEBUG: HORDE [imp] Load config file 
(conf.php; app: imp) [pid 1825 on line 861 of "/usr/lib/php/Horde.php"]
2011-09-25T12:16:11-04:00 DEBUG: HORDE [imp] Load config file 
(backends.php; app: imp) [pid 1825 on line 861 of 
"/usr/lib/php/Horde.php"]
2011-09-25T12:16:11-04:00 DEBUG: HORDE [horde] Load config file 
(nls.php; app: horde) [pid 1825 on line 861 of "/usr/lib/php/Horde.php"]
2011-09-25T12:16:11-04:00 DEBUG: HORDE [horde] SQL  (0.0205s)
        SELECT alarm_id, alarm_uid, alarm_start, alarm_end, alarm_methods,
          alarm_params, alarm_title, alarm_text, alarm_snooze, alarm_internal
          FROM horde_alarms WHERE alarm_dismissed = 0 AND ((alarm_snooze IS NULL
          AND alarm_start <= '2011-09-25T16:16:11') OR alarm_snooze <=
          '2011-09-25T16:16:11') AND (alarm_end IS NULL OR alarm_end >=
          '2011-09-25T16:16:11') AND (alarm_uid IS NULL OR alarm_uid = '' OR
          alarm_uid = '') ORDER BY alarm_start, alarm_end [pid 1825 on line 
801 of "/usr/lib/php/Horde/Db/Adapter/Base.php"]
2011-09-25T12:16:11-04:00 DEBUG: HORDE [horde] Load config file 
(motd.php; app: horde) [pid 1825 on line 861 of 
"/usr/lib/php/Horde.php"]
2011-09-25T12:16:11-04:00 DEBUG: HORDE [horde] Max memory usage: 
6553600 bytes [pid 1825 on line 474 of 
"/usr/lib/php/Horde/Registry.php"]
2011-09-25T12:16:20-04:00 DEBUG: HORDE Horde_Registry: retrieved app 
with cache ID 
horde_registry|app|1315349475|ede232fb8c32bfda4411afa41aafd6af [pid 
2578 on line 1701 of "/usr/lib/php/Horde/Registry.php"]
2011-09-25T12:16:20-04:00 DEBUG: HORDE Load config file (hooks.php; 
app: imp) [pid 2578 on line 861 of "/usr/lib/php/Horde.php"]
2011-09-25T12:16:20-04:00 DEBUG: HORDE [imp] Load config file 
(conf.php; app: imp) [pid 2578 on line 861 of "/usr/lib/php/Horde.php"]
2011-09-25T12:16:20-04:00 DEBUG: HORDE [imp] Load config file 
(backends.php; app: imp) [pid 2578 on line 861 of 
"/usr/lib/php/Horde.php"]
2011-09-25T12:16:20-04:00 DEBUG: HORDE [imp] Max memory usage: 6291456 
bytes [pid 2578 on line 474 of "/usr/lib/php/Horde/Registry.php"]
2011-09-25 03:57:07 Michael Slusarz Comment #23 Reply to this comment
Adding this debug command in Socket.php before line 2089 seems to 
break Horde... I get a blank page after login.
Check your logs.  If there is a fatal error it will be reported somewhere.
2011-09-25 00:12:24 lp (dot) allard (dot) 1 (at) gmail (dot) com Comment #22 Reply to this comment
Adding this debug command in Socket.php before line 2089 seems to 
break Horde... I get a blank page after login.

As per the instructions of http://wiki.horde.org/Doc/Dev/DebugH4  I  tried :

Horde::debug($fetch_res);

Horde::debug($fetch_res, '/tmp/output.log');

No success.  No log files are created.


2011-09-24 23:17:23 Michael Slusarz Comment #21 Reply to this comment
[Fri Sep 23 21:10:26 2011] [error] [client 192.XXX.XXX.XXX] PHP 
Fatal error:  Cannot use string offset as an array in 
/usr/lib/php/Horde/Imap/Client/Socket.php on line 2089, referer: 
http://192.XXX.XXX.XXX/horde4/imp/
You need to do add:

Horde::debug($fetch_res);

right before line 2089 and provide the debug output here.

FYI: I can not reproduce with your instructions.



Horde::debug() documentation: http://wiki.horde.org/Doc/Dev/DebugH4
2011-09-24 01:17:06 lp (dot) allard (dot) 1 (at) gmail (dot) com Comment #20 Reply to this comment
Yes & No...  Here's what I did:

1-Went to Gmail & emptied my trash mailbox.  Logout of Gmail.

2-Went back to Horde, and entered the trash mailbox.  All was fine, 
tail -f on httpd_error.log did not show anything.

3-Then I deleted an email from my inbox (from Horde).

4-Went back to the trash, I got the red popup again and

[Fri Sep 23 21:10:26 2011] [error] [client 192.XXX.XXX.XXX] PHP Fatal 
error:  Cannot use string offset as an array in 
/usr/lib/php/Horde/Imap/Client/Socket.php on line 2089, referer: 
http://192.XXX.XXX.XXX/horde4/imp/

So it seems that I dont get the error when the trash is empty.  So to 
answer your question:  no I dont get this error if my trash folder is 
REALLY empty.

I tried deleting an email from Horde as well as from Gmail.  Same behavior
2011-09-22 20:24:18 Michael Slusarz Comment #19 Reply to this comment
Are you still getting these errors?

Cannot use string offset as an array in
/usr/lib/php/Horde/Imap/Client/Socket.php on line 2089

in your Gmail Trash mailbox?  If that mailbox is truly empty, and you 
are receiving this message, then your installation is seriously broken 
(since that code can only be reached if there is at least 1 message in 
the mailbox).

2011-09-21 22:46:03 lp (dot) allard (dot) 1 (at) gmail (dot) com Comment #18 Reply to this comment
I imagine the horde devs are pretty busy these days and went ahead 
with deleting *everything* in /tmp and restarted the session 
(logout/login again) and same thing:

"The server was unable to generate the message list"... red popup...

I also upgraded following Jan's email announcing the new webmail 
release, but no improvement...

What next?

2011-09-20 01:04:31 lp (dot) allard (dot) 1 (at) gmail (dot) com Comment #17 Reply to this comment
mmmmm... Probably is a rookie question, but is cleaning the cache only 
means deleting the

cache_<hash-number>       and       sess_<hash-number>

files in /tmp?  If so, then I should probably setup a cron job to 
cleanup once in a while...

I am not using a memcache server as if I remember correctly, it was 
making horde crashing.  My cache system settings are:

$conf[cache][default_lifetime]                 86400
$conf[cache][driver]                                       Store data in FS
$conf[cache][params][dir]                               /tmp
$conf[cache][params][sub]                       0
$conf[cache][params][prefix]
$conf[cache][compress]                               -CHECKED-
$conf[cache][use_memorycache]                None
$conf[cachecss]                                                No
$conf[cachejs]                                                No
$conf[cachethemes]                                  No
2011-09-19 16:10:43 Michael Slusarz Deleted Original Message
 
2011-09-19 16:10:25 Michael Slusarz Comment #16 Reply to this comment
2 questions:

1- can I simply patch the files or I should update through git ?  I 
normally use pear to upgrade...
There's nothing to patch.  What was added was simply a test case.
2- no I never played around with the cache settings...  Since the 
first install a few months ago I did not touch anything .  Might be 
time for cleanup ?
Please clear your cache if possible.  Especially since you report that 
you have emptied the trash in Gmail, and the client-side code is still 
being called - if there truly are no messages in the remote mailbox, 
there should be nothing to sort.
2011-09-19 11:00:22 Lp (dot) allard (dot) 1 (at) gmail (dot) com Comment #15 Reply to this comment
2 questions:

1- can I simply patch the files or I should update through git ?  I 
normally use pear to upgrade...

2- no I never played around with the cache settings...  Since the 
first install a few months ago I did not touch anything .  Might be 
time for cleanup ?
2011-09-19 04:22:16 Michael Slusarz Comment #14 Reply to this comment
Bug #10503: Add ability to do client sort testing for imap socket driver
Can't reproduce.  Have you cleared the cache?
2011-09-19 04:19:01 Michael Slusarz Comment #13 Reply to this comment
***==>   Expires:      Thu, 19 Nov 1981 08:52:00 GMT <=======************
This is irrelevant.  It's just the web server telling the browser to 
not cache the webpage (it has nothing to do with the PHP/IMAP 
connection).
2011-09-19 04:16:38 Git Commit Comment #12 Reply to this comment
Changes have been made in Git for this ticket:

Bug #10503: Add ability to do client sort testing for imap socket driver

  5 files changed, 154 insertions(+), 35 deletions(-)
http://git.horde.org/horde-git/-/commit/232da541a06e4e44158dbd4ec01ab1ec6bd7104c
2011-09-14 01:19:44 lp (dot) allard (dot) 1 (at) gmail (dot) com Comment #11 Reply to this comment
Probably wont help much, but going on Gmail, emptying the trash 
folder, logging out and then returning to Horde to delete an email 
from Inbox, does not help.  I go to the trash and same result:

Red popup saying:  "The server was unable to generate the message list"

The Web console still returns:  [21:12:25.690] POST 
http://192.168.0.101/horde4/services/ajax.php/imp/viewPort [HTTP/1.0 
500 Internal Server Error 3038ms]

Although in the Web console I saw something that caught my attention 
(the expiration date):  In the "Inspect Network Request" window, under 
the section "Response Headers"

Response Headers         ?3051ms

Cache-Control:      no-store, no-cache, must-revalidate, post-check=0, 
pre-check=0
Connection:           close
Content-Encoding:       gzip
Content-Length:     26
Content-Type:        text/html
Date:       Wed, 14 Sep 2011 01:16:45 GMT
***==>   Expires:      Thu, 19 Nov 1981 08:52:00 GMT <=======************
Pragma:         no-cache
Server:         Apache/2.2.15 (Unix) DAV/2 mod_scgi/1.14 PHP/5.2.13
Vary:      Accept-Encoding
X-Powered-By:       PHP/5.2.13
2011-09-13 22:32:57 lp (dot) allard (dot) 1 (at) gmail (dot) com Comment #10
New Attachment: horde[1].log Download
Reply to this comment
I already had the log set at DEBUG in $horde/config/conf.php

Attached is the horde log from login to until I see the red popups...

Anything else please let me know what I can provide you guys to help.
2011-09-13 18:33:03 Michael Slusarz Comment #9 Reply to this comment
[Mon Sep 12 19:43:06 2011] [error] [client 192.168.0.106] PHP Fatal 
error:  Cannot use string offset as an array in 
/usr/lib/php/Horde/Imap/Client/Socket.php on line 2089, referer: 
http://192.168.0.101/horde4/imp/
It would be best if you changed the log level to debug for the Horde 
log ($conf['log']['priority'] = 'DEBUG' in horde/config/conf.php) - 
this would allow us to get backtraces that could help us out.

Looks like this issue is with client side sorting.  Looks like you are 
trying to sort by subject.  It's not a problem with all client side 
subject sorting though, since this works fine for me.  There's got to 
be something specific about one of the subjects in your mailbox that 
is breaking things.

I'm in the process of writing a fake-imap stream handler to allow us 
to test/debug these kind of issues better.  But it's not yet completed.
2011-09-12 23:46:35 lp (dot) allard (dot) 1 (at) gmail (dot) com Comment #8 Reply to this comment
OK in the httpd_error_log:

[Mon Sep 12 19:43:06 2011] [error] [client 192.168.0.106] PHP Fatal 
error:  Cannot use string offset as an array in 
/usr/lib/php/Horde/Imap/Client/Socket.php on line 2089, referer: 
http://192.168.0.101/horde4/imp/

So you guys were right about the PHP Fatal error... What do I need to do next?
2011-09-12 15:58:00 Michael Slusarz Comment #7 Reply to this comment
OK I have opened the Web console in firefox and when I click on the 
Trash folder generating this red popup the console says:

[07:17:14.914] POST 
http://192.168.0.101/horde4/services/ajax.php/imp/viewPort [HTTP/1.0 
500 Internal Server Error 1849ms]
A 500 error from the server generally means a PHP fatal error.  So as 
Jan said: you need to look at the PHP logs.

2011-09-12 12:03:09 Jan Schneider Comment #6 Reply to this comment
Check your other log files, namely PHP/Webserver logs.
2011-09-12 11:20:12 lp (dot) allard (dot) 1 (at) gmail (dot) com Comment #5 Reply to this comment
OK I have opened the Web console in firefox and when I click on the 
Trash folder generating this red popup the console says:

[07:17:14.914] POST 
http://192.168.0.101/horde4/services/ajax.php/imp/viewPort [HTTP/1.0 
500 Internal Server Error 1849ms]

I also have installed an add-on called JavaScript Debugger (Venkman) 
but unfortunately I dont know how to use it.  It may be helpful...
2011-09-12 02:32:37 Michael Slusarz Comment #4 Reply to this comment
Nothing wrong in there.  Will need to do JS debugging next.  Namely, 
the server response to the listMailboxes request:

For further debugging information, please read 
http://www.horde.org/apps/horde/docs/INSTALL#dynamic-view-troubleshooting
2011-09-12 02:21:56 lp (dot) allard (dot) 1 (at) gmail (dot) com Comment #3
New Attachment: horde.log Download
Reply to this comment
Nothing wrong in the IMAP log.  You will need to look for errors in 
your horde log.

IMP works with Gmail just fine so this is not a critical issue.
OK attached is the horde log from after the login when I was in my 
inbox to the moment I saw the red popup saying "The server was unable 
to generate the message list"
2011-09-12 00:00:57 Michael Slusarz Comment #2
Priority ⇒ 1. Low
Reply to this comment
Nothing wrong in the IMAP log.  You will need to look for errors in 
your horde log.

IMP works with Gmail just fine so this is not a critical issue.
2011-09-10 16:05:28 lp (dot) allard (dot) 1 (at) gmail (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 3. High
Summary ⇒ IMP cant retrieve folder content from Gmail server
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
New Attachment: horde_imap.log
Reply to this comment
It seems that IMP has problems to retrieve the content of certain 
folders, namely the trash & spam folders of my Gmail account.  All 
other folders seems to work fine.

The folder tree on the left side saying that I have "7" messages in 
"Trash" while I click on the folder and there is nothing.  The window 
say "There is no messages in this mailbox".

Clicking on "Get Mail" does not help.  Horde throws a red popup saying:

"The server was unable to generate the message list"

and another popup saying:

"There has been no contact with the server for several minutes.  The 
server may be temporarily  unavailable or network problems may be 
interrupting your session.  You will not see any updates until the 
connection is restored"

See attached IMAP debug log

Saved Queries